Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.kicks.dev/llms.txt

Use this file to discover all available pages before exploring further.

Beta Feature This recipe shows how to get the prices of multiple products from StockX using KicksDB. It requires a list of product IDs or SKUs.

Get prices in batch from StockX

API ReferencePremium Feature
The request body should include a list of product IDs or SKUs, when both are provided, only the SKUs will be considered. Up to 50 products can be requested at once. Request example:
POST https://api.kicks.dev/v3/stockx/prices
Content-Type: application/json
Authorization: Bearer YOUR_API_KEY

{
  "market": "US", // US, UK, FR, DE, CH, etc...
  // Either product IDs or SKUs:
  "product_ids": ["4a4f645a-5b17-498e-9bbc-187a146f6be7"],
  "skus": ["1183C468-700"]
}
Response example:
{
  "$schema": "https://api.kicks.dev/schemas/RespListGetPricesOutputBody.json",
  "data": [
    {
      "product_id": "d073dbea-bc16-47b9-8006-851e6bd9faa7",
      "sku": "1183C468-700",
      "variants": [
        {
          "id": "3ffd8609-b241-4dbe-918a-339235bd8ad0",
          "size": "5",
          "size_type": "us m",
          "price": 197,
          "asks": 4,
          "type": "standard"
        },
        {
          "id": "544073bb-36a5-438c-bd94-fced87ce63d7",
          "size": "11",
          "size_type": "us m",
          "price": 196,
          "asks": 5,
          "type": "standard"
        }
        // ... more prices ...
      ]
    }
  ]
}

Remarks

  • Variants with no prices or no variants are omitted from the response.
  • Three types of prices are supported:
    • standard -> Standard delivery
    • express_standard -> Express Standard delivery
    • express_expedited -> Express delivery with 3-day guarantee expedited option
  • The list of variants is not ordered.
  • The currency is always the main currency of the market (e.g. UK -> GBP).
  • The SKUs should be written as they are written on StockX’s product page.